# Generated from record_store-7.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name record_store

Name: rubygem-%{gem_name}
Version: 7.0.1
Release: 1%{?dist}
Summary: Manage DNS using git
License: MIT
URL: https://github.com/Shopify/record_store
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0.0
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(minitest-focus)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rubocop) >= 1.64.0
# BuildRequires: rubygem(rubocop) < 1.65
# BuildRequires: rubygem(rubocop-shopify) >= 2.15.1
# BuildRequires: rubygem(rubocop-shopify) < 2.16
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
Manage DNS through a git-based workflow. If you're looking for the original
'record_store', that has been renamed to 'sequel_record_store'.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/record-store
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rubocop-https---shopify-github-io-ruby-style-guide-rubocop-yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/dev.yml
%{gem_libdir}
%{gem_instdir}/shipit.rubygems.yml
%{gem_instdir}/template
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/record_store.gemspec

%changelog
* Fri Jun 21 2024 mockbuilder - 7.0.1-1
- Initial package
